=== libpetrifoo/patch_private/CMakeLists.txt ===
file (GLOB LIBPATCHPRIVATE_SOURCES *.c)
add_library( patch_private ${LIBPATCHPRIVATE_SOURCES})
