## petri-foo 0.0.2+20110630.gitb083f60

=== debian/changelog ===
petri-foo (0.0.2+20110630.gitb083f60-1) unstable; urgency=low

  * Initial release. (Closes: #620362)

 -- Alessio Treglia <alessio@debian.org>  Mon, 04 Jul 2011 11:30:50 +0200
