=== debian/control ===
Source: petri-foo
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 autoconf-archive,
 libphat-dev (>= 0.3.1),
 libgtk2.0-dev (>= 2.4.13),
 libjack-dev,
 libsamplerate0-dev (>= 0.1.1),
 libxml2-dev (>= 2.6.11),
 libsndfile1-dev (>= 1.0.10),
 libasound2-dev (>= 1.0.8),
 libgnomecanvas2-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/petri-foo.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/petri-foo.git
Homepage: http://petri-foo.sourceforge.net/

Package: petri-foo
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: MIDI controllable audio sampler - successor of specimen
 A simple but very useful midi controlled sampler for ALSA/JACK featuring:
  * 64 notes of polyphony, spread across up to 64 patches.
  * fast, high quality pitch scaling, linear ADSR volume envelopes.
  * low pass filter with resonance; a variety of direction-independent.
  * playback modes and zoomable sample editor for loop and play points.
 .
 Petri-Foo is a fork of the Specimen Sampler project.

Package: petri-foo-dbg
Architecture: any
Section: debug
Priority: extra
Depends: petri-foo (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for petri-foo
 A simple but very useful midi controlled sampler for ALSA/JACK featuring:
  * 64 notes of polyphony, spread across up to 64 patches.
  * fast, high quality pitch scaling, linear ADSR volume envelopes.
  * low pass filter with resonance; a variety of direction-independent.
  * playback modes and zoomable sample editor for loop and play points.
 .
 Petri-Foo is a fork of the Specimen Sampler project.
 .
 This package contains the debugging symbols.
