=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel --with=autoreconf

override_dh_strip:
	dh_strip --dbg-package=petri-foo-dbg
