=== debian/watch ===
version=3
http://sf.net/petri-foo/petri-foo-([\d.]+)\.tar\.gz
