## petri-foo 0.1.5

=== debian/changelog ===
petri-foo (0.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 29 Jun 2012 00:43:55 +0200

petri-foo (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * Fix watch file.
  * Removed patches apllied upstream. 

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 27 Jun 2012 14:50:35 +0200

petri-foo (0.1.3-2) unstable; urgency=low

  * Set compat to 9 and tune debhelper version
    to fortify hardening with cmake.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 23 Jun 2012 11:29:43 +0200

petri-foo (0.1.3-1) unstable; urgency=low

  * Imported Upstream version 0.1.3
  * Removing libphat from build dependencies
  * Removing encoding entry from desktop file
  * Spelling patch added
  * Using upstream destop file and icon
  * Using xpm icon by menu file

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 20 Jun 2012 18:18:24 +0200

petri-foo (0.0.2+20120606.gitd2f92c9-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added icon entry to menu file
  * Little fix in  menu file
  * Imported Upstream version 0.0.2+20120606.gitd2f92c9
  * Bump Standards
  * Copyright updated to format 1.0

  [ Alessio Treglia ]
  * Buildsystem has changed from autoconf to cmake.
  * Fix headers lookup to prevent FTBFS.
  * Small fix to debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Mon, 18 Jun 2012 17:46:08 +0200
