=== debian/control ===
--- 
+++ 
@@ -2,29 +2,30 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>,
+Uploaders:
+ Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~),
- dh-autoreconf,
- autoconf-archive,
- libphat-dev (>= 0.3.1),
+Build-Depends:
+ cmake,
+ debhelper (>= 9.20120417~),
+ libasound2-dev (>= 1.0.8),
+ libgnomecanvas2-dev,
  libgtk2.0-dev (>= 2.4.13),
  libjack-dev,
  libsamplerate0-dev (>= 0.1.1),
- libxml2-dev (>= 2.6.11),
  libsndfile1-dev (>= 1.0.10),
- libasound2-dev (>= 1.0.8),
- libgnomecanvas2-dev
-Standards-Version: 3.9.2
+ libxml2-dev (>= 2.6.11)
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/petri-foo.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/petri-foo.git
 Homepage: http://petri-foo.sourceforge.net/
 
 Package: petri-foo
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: MIDI controllable audio sampler - successor of specimen
  A simple but very useful midi controlled sampler for ALSA/JACK featuring:
   * 64 notes of polyphony, spread across up to 64 patches.
@@ -38,7 +39,8 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: petri-foo (= ${binary:Version}),
+Depends:
+ petri-foo (= ${binary:Version}),
  ${misc:Depends}
 Description: Debugging symbols for petri-foo
  A simple but very useful midi controlled sampler for ALSA/JACK featuring:
