## petri-foo 0.1.87

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project(Petri-Foo)
 
 set(Petri-Foo_VERSION_MAJOR 1)
-set(Petri-Foo_VERSION_MINOR 5)
+set(Petri-Foo_VERSION_MINOR 87)
 set(BINDIR  "bin" CACHE STRING "Where to install binaries")
 set(DATADIR "share/petri-foo" CACHE STRING "Where to install data files")
 set(APPLICATIONS_DIR "share/applications" CACHE STRING "Where to install desktop files")
@@ -17,7 +17,14 @@
 
 set(ARCHIVE_NAME petri-foo-0.${Petri-Foo_VERSION_MAJOR}.${Petri-Foo_VERSION_MINOR})
 
+# two #defines to aid stripping path info from debug message output:
+# see config.h.in
+set(SRC_DIR $PROJECT_SOURCE_DIR)
+string( LENGTH "${PROJECT_SOURCE_DIR}" SRC_DIR_STRLEN)
+
 include (CheckCSourceCompiles)
+INCLUDE (CheckIncludeFiles)
+
 
 mark_as_advanced(EXECUTABLE_OUTPUT_PATH)
 mark_as_advanced(LIBRARY_OUTPUT_PATH)
@@ -26,6 +33,11 @@
 
 option (BuildForDebug "Include gdb debugging support" OFF)
 option (GtkDeprecatedChecks "Check against use of API deprecated in GTK3" OFF)
+
+if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/sandbox )
+    option (BuildSandbox "Build sandbox test code " OFF)
+endif (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/sandbox )
+ 
 
 # DEBUG
 set (BuildOptionsDebug "-O0 -ggdb" CACHE STRING "Debug build flags")
@@ -49,16 +61,17 @@
 endif (BuildForDebug)
 
 if (GtkDeprecatedChecks)
-    add_definitions(-DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGSEAL_ENABLE -DGTK_DISABLE_SINGLE_INCLUDES)
+    add_definitions(
+        -DGDK_PIXBUF_DISABLE_DEPRECATED
+        -DGTK_DISABLE_DEPRECATED
+        -DGDK_DISABLE_DEPRECATED
+        -DGSEAL_ENABLE
+        -DGTK_DISABLE_SINGLE_INCLUDES)
+    message (STATUS "Building with GTK_DISABLE_DEPRECATED...")
 endif (GtkDeprecatedChecks)
 
-# PKG-CONFIG
-find_package(PkgConfig REQUIRED)
-if(PKG_CONFIG_FOUND)
-    message(STATUS "Found pkg-config ${PKG_CONFIG_EXECUTABLE}")
-else(PKG_CONFIG_FOUND)
-    message(FATAL_ERROR "pkg-config required but not found")
-endif(PKG_CONFIG_FOUND)
+
+include(FindPkgConfig)
 
 
 # JACK
@@ -70,13 +83,7 @@
 endif (JACK_FOUND)
 
 
-# ALSA
-pkg_check_modules(ALSA REQUIRED alsa>=1.0.17)
-if (ALSA_FOUND)
-  message(STATUS "Found alsa ${ALSA_VERSION}")
-else (ALSA_FOUND)
-  message(FATAL_ERROR "alsa not found.")
-endif (ALSA_FOUND)
+include (FindALSA)
 
 
 # SNDFILE
@@ -106,13 +113,7 @@
 endif (GLIB2_FOUND)
 
 
-# GTK2
-pkg_check_modules (GTK2 REQUIRED gtk+-2.0)
-if(GTK2_FOUND)
-    message(STATUS "Found gtk2 ${GTK2_VERSION}")
-else(GTK2_FOUND)
-    message(FATAL_ERROR "gtk2 required but not found")
-endif(GTK2_FOUND)
+include(FindGTK2)
 
 
 # LIBGNOMECANVAS2
@@ -124,13 +125,22 @@
 endif (LIBGNOMECANVAS2_FOUND)
 
 
-# LIBXML2
-pkg_check_modules (LIBXML2 REQUIRED libxml-2.0)
-if (LIBXML2_FOUND)
-    message(STATUS "Found libxml2 ${LIBXML2_VERSION}")
-else (LIBXML2_FOUND)
-    message(FATAL_ERROR "libxml2 was not found")
-endif (LIBXML2_FOUND)
+include(FindLibXml2)
+
+
+# LIBLO
+pkg_check_modules (LIBLO liblo>=0.26)
+if (LIBLO_FOUND)
+    message(STATUS "Found liblo ${LIBLO_VERSION}, support for NSM will be built")
+    set (HAVE_LIBLO 1)
+else (LIBLO_FOUND)
+    message(STATUS "liblo was not found, support for NSM will not be built")
+    set (HAVE_LIBLO 0)
+endif (LIBLO_FOUND)
+
+
+include(FindOpenSSL)
+
 
 # Check for CAIRO_OPERATOR_HSL_LUMINOSITY
 check_c_source_compiles (
@@ -139,20 +149,16 @@
     {
         cairo_operator_t op = CAIRO_OPERATOR_HSL_LUMINOSITY;
         return 0;
-    }" HasCairoOperatorHSL
+    }" HAVE_CAIRO_OPERATOR_HSL
 )
 
-if (HasCairoOperatorHSL)
-    add_definitions (-DCAIRO_HAS_OPERATOR_HSL)
-endif (HasCairoOperatorHSL)
-
-INCLUDE (CheckIncludeFiles)
 CHECK_INCLUDE_FILES (malloc.h HAVE_MALLOC_H)
 CHECK_INCLUDE_FILES (jack/session.h HAVE_JACK_SESSION_H)
 CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/config.h )
 
-link_libraries(m)
+link_libraries(m ${LIBLO_LIBRARIES})
+
 
 include_directories ( . )
 
@@ -164,12 +170,12 @@
 ADD_SUBDIRECTORY( gui )
 
 
-if (BuildForDebug)
+if (BuildSandbox)
     if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/sandbox )
         message( STATUS "Will build sandbox test target" )
         ADD_SUBDIRECTORY( sandbox )
     endif (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/sandbox )
-endif (BuildForDebug)
+endif (BuildSandbox)
 
 #ADD_SUBDIRECTORY( pixmaps )
