=== libpetrifoo/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,10 @@
 ADD_SUBDIRECTORY( patch_private )
 
 file (GLOB LIBPETRIFOO_SOURCES *.c)
+
+include_directories(
+    ${ALSA_INCLUDE_DIRS}
+    )
 
 add_library( petrifoo ${LIBPETRIFOO_SOURCES})
