=== debian/changelog ===
petri-foo (0.1.87-4build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:44 +0000

petri-foo (0.1.87-4) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Add lintian-overrides file.
  * Drop menu file.
  * Add exec-code to desktop file.
  * Add spelling patch.
  * Fix copyright file.
  * Not install xpm icon.
  * Drop dbg package in favour of dbgsym.
  * Tune .gitignore file.
  * Install png icons.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 23 Dec 2016 16:09:46 +0100

petri-foo (0.1.87-3) unstable; urgency=low

  [ Alessio Treglia ]
  * Remove DM-Upload-Allowed field, not needed anymore.

  [ Jaromír Mikeš ]
  * Bump Standards.
  * Update VCS urls.
  * Added Keywords to desktop file.
  * Update copyright file.
  * Install specimen2petri-foo files.
  * Introducing README.Debian file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 11 Jun 2014 16:15:22 +0200

petri-foo (0.1.87-2) unstable; urgency=low

  * Removed lintian.overrides file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 04 Sep 2012 18:20:15 +0200

petri-foo (0.1.87-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * liblo-dev added as build dependency.
  * libssl-dev added as build dependency.
  * Added lintian.overrides file.

  [ Alessio Treglia ]
  * Pass LDFLAGS to cmake.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 01 Sep 2012 21:51:36 +0200
