=== debian/control ===
Source: petri-foo
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper (>= 10),
 libasound2-dev (>= 1.0.8),
 libgnomecanvas2-dev,
 libgtk2.0-dev (>= 2.4.13),
 libjack-dev,
 libsamplerate0-dev (>= 0.1.1),
 libsndfile1-dev (>= 1.0.10),
 libxml2-dev (>= 2.6.11),
 liblo-dev (>= 0.26~repack),
 libssl-dev,
 imagemagick
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/petri-foo.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/petri-foo.git
Homepage: http://petri-foo.sourceforge.net/

Package: petri-foo
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MIDI controllable audio sampler - successor of specimen
 A simple but very useful midi controlled sampler for ALSA/JACK featuring:
  * 64 notes of polyphony, spread across up to 64 patches.
  * fast, high quality pitch scaling, linear ADSR volume envelopes.
  * low pass filter with resonance; a variety of direction-independent.
  * playback modes and zoomable sample editor for loop and play points.
 .
 Petri-Foo is a fork of the Specimen Sampler project.
