=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DESTDIR = debian/tmp

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -d $(CURDIR)/$(DESTDIR)/usr/share/doc/petri-foo/specimen2petri-foo/
	install -m 644 $(CURDIR)/debian/specimen2petri-foo/s2p* $(CURDIR)/$(DESTDIR)/usr/share/doc/petri-foo/specimen2petri-foo/
	install -m 644 $(CURDIR)/debian/specimen2petri-foo/Readme $(CURDIR)/$(DESTDIR)/usr/share/doc/petri-foo/specimen2petri-foo/
	install -d $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
	install -d $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/256x256/apps/
	rm -Rf $(CURDIR)/$(DESTDIR)/usr/share/pixmaps/
	cp $(CURDIR)/pixmaps/petri-foo_small.png $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/48x48/apps/petri-foo.png
	cp $(CURDIR)/pixmaps/petri-foo.png $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/256x256/apps/petri-foo.png
	convert -resize 48x48! $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/48x48/apps/petri-foo.png $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/48x48/apps/petri-foo.png
	convert -resize 256x256! $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/256x256/apps/petri-foo.png $(CURDIR)/$(DESTDIR)/usr/share/icons/hicolor/256x256/apps/petri-foo.png
